QGIS Application - Bug report #19421
wms layers with wmsversion 1.1.1 are not visible in QGIS master, rev >=3.3.14
2018-07-15 09:59 PM - Gerhard Spieles

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:3.3(master) Regression?: Yes
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27249
Description

add a wms layer with wmsversion1.1.1 Map shows a blank screen and (raster)picture ist not shown.
wms layers with wms rev 1.3.0 seems to be rendered ok.

In 2.18.16 are no problems wiht the wms layers.

jpgs are attached.

History

#1 - 2018-07-17 12:19 AM - Gerhard Spieles

Hi,

wms-protocol reports:

2018-07-17T00:16:13 WARNING Kachelabfrage-Fehler (Status: 200; Content-Typ: application/vnd.ogc.se_xml; charset=UTF-8; Lange: 382; URL:
http://geo4.service24.rlp.de/wms/dop_basis.fcgi?SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;,LAYERS=0GC:WMS&#38;ST
LES&#38;WIDTH=5298&#38;HEIGHT=-528092384&#38;FORMAT=image/png&#38;SRS=EPSG:25832&#38;DP|=96&#38;MAP_RESOLUTION=968&#38;FORM/
8;FORMAT_OPTIONS=dpi:96&#38; TRANSPARENT=TRUE&#38;BBOX=307172.51376603054814041,5650000,322345.02753206109628081,15152131977.2
31977.2701263427734375)

#2 - 2018-07-29 07:33 PM - Gerhard Spieles
- Status changed from Open to Closed

works fine again since 3.3.0.28

Files

wms1.1.1_not_visible_in_master.jpg 131 KB 2018-07-15 Gerhard Spieles
wms1.3.0_visible_in_master.jpg 176 KB 2018-07-15 Gerhard Spieles
wms1.1.0_1.3.0_visible_in_qgis2.18.16.jpg 248 KB 2018-07-15 Gerhard Spieles
